#!/usr/bin/env python3
n = int(input())
a = []
for i in range(n):
    t,x = input().split()
    a.append((int(t),int(x)))

width = 0
for i in range(n):
    for j in range(i,n):
        ti,xi = a[i]
        tj,xj = a[j]
        width = max(width, abs(xj-xi) - abs(tj-ti))
print(width)
